org.apache.jmeter.report.processor.graph

## Class ConnectTimeValueSelector

- java.lang.Object
- - org.apache.jmeter.report.processor.graph.ConnectTimeValueSelector

All Implemented Interfaces:
  GraphValueSelector

    public class ConnectTimeValueSelector
    extends Object

The class ConnectTimeValueSelector provides a projection from a sample to its connect time.

Since:
  3.1

### Constructor Summary

Constructors
Constructor and Description
`ConnectTimeValueSelector(boolean ignoreTransactionController)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `isIgnoreTransactionController()`
`Double` `select(String series, Sample sample)` Do a projection from a sample to the value to aggregate for the specified series and key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectTimeValueSelector

    public ConnectTimeValueSelector(boolean ignoreTransactionController)

Parameters:
  `ignoreTransactionController` - boolean ignore `SampleResult` generated by `TransactionController`

### Method Detail

#### select

    public Double select(String series,
                         Sample sample)

Description copied from interface: `GraphValueSelector`
Do a projection from a sample to the value to aggregate for the specified series and key.

Parameters:
  `series` - the series where the value will be aggregated
  `sample` - the sample
Returns:
  the value to aggregate or null if value should be ignored

#### isIgnoreTransactionController

    protected boolean isIgnoreTransactionController()

Returns:
  the ignoreTransactionController